UDecoder (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.buf.UDecoder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Class UDecoder

    java.lang.Object
      org.apache.tomcat.util.buf.UDecoder

    public final class UDecoder

extends java.lang.Object

All URL decoding happens here. This way we can reuse, review, optimize without adding complexity to the buffers. The conversion will modify the original buffer.

Author:
  Costin Manolache

Field Summary
`protected static boolean` | `ALLOW_ENCODED_SLASH`

Constructor Summary
`UDecoder()`

Method Summary
`void` | `convert(ByteChunk mb)` URLDecode, will modify the source.
`void` | `convert(ByteChunk mb, boolean query)` URLDecode, will modify the source.
`void` | `convert(CharChunk mb)` In-buffer processing - the buffer will be modified Includes converting '+' to ' '.
`void` | `convert(CharChunk mb, boolean query)` In-buffer processing - the buffer will be modified
`void` | `convert(MessageBytes mb)` URLDecode, will modify the source Includes converting '+' to ' '.
`void` | `convert(MessageBytes mb, boolean query)` URLDecode, will modify the source
`java.lang.String` | `convert(java.lang.String str)`
`java.lang.String` | `convert(java.lang.String str, boolean query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_ENCODED_SLASH

    protected static final boolean ALLOW_ENCODED_SLASH

Constructor Detail

### UDecoder

    public UDecoder()

Method Detail

### convert

    public void convert(ByteChunk mb)
                 throws java.io.IOException

  URLDecode, will modify the source. Includes converting '+' to ' '.

  Throws:
    `java.io.IOException`

### convert

    public void convert(ByteChunk mb,
                        boolean query)
                 throws java.io.IOException

  URLDecode, will modify the source.

  Throws:
    `java.io.IOException`

### convert

    public void convert(CharChunk mb)
                 throws java.io.IOException

  In-buffer processing - the buffer will be modified Includes converting '+' to ' '.

  Throws:
    `java.io.IOException`

### convert

    public void convert(CharChunk mb,
                        boolean query)
                 throws java.io.IOException

  In-buffer processing - the buffer will be modified

  Throws:
    `java.io.IOException`

### convert

    public void convert(MessageBytes mb)
                 throws java.io.IOException

  URLDecode, will modify the source Includes converting '+' to ' '.

  Throws:
    `java.io.IOException`

### convert

    public void convert(MessageBytes mb,
                        boolean query)
                 throws java.io.IOException

  URLDecode, will modify the source

  Throws:
    `java.io.IOException`

### convert

    public final java.lang.String convert(java.lang.String str)

### convert

    public final java.lang.String convert(java.lang.String str,
                                          boolean query)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.